{% extends 'base.html' %}
{% block nav-proyecto %}
    <li class="nav-item active">
        <a class="nav-link" href="{% url 'Proyecto:index' %}">Proyecto <span class="sr-only">(current)</span> </a>
    </li>
{% endblock %}
{% block content %}

    <div class="container mb-5">
        <div class="py-5 text-center ">
            <h1 class="text-light"> Importar de un proyecto </h1>
        </div>
        <div class="alert alert-warning d-flex align-items-center" role="alert">
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Warning:">
                <use xlink:href="#exclamation-triangle-fill"/>
            </svg>
            <div>
                Observación : No se importaran los roles que tengan el mismo nombre que un rol ya existente en el
                proyecto.
            </div>
        </div>
        <div class="bg-light border rounded border-dark ">
            <div class="input-group">
                <input type="text" id="buscarProyectoRol" onkeyup="buscarTabla('buscarProyectoRol','tablaProyectosRol')"
                       placeholder="Buscar por nombre"
                       title="Escriba un nombre de proyecto" class="form-control m-3"
                       aria-describedby="inputGroup-sizing-lg">
                <a class="btn btn-outline-secondary m-3" type="button" href="{% url 'Proyecto:RolesProyecto' idProyecto %}">Volver</a>
            </div>
            <table class="table table-hover" id="tablaProyectosRol">
                <thead class="thead-dark">
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">Nombre</th>
                    <th scope="col">Descripción</th>
                    <th scope="col">Fecha Inicio</th>
                    <th scope="col">Acción</th>
                </tr>
                </thead>
                <tbody>
                {% if proyectos %}
                    {% for p in proyectos %}
                        {% if p.id != idProyecto %}
                            <tr>
                                <th scope="row">{{ p.id }}</th>
                                <td>{{ p.nombre }}</td>
                                <td>{{ p.descripcion }}</td>
                                <td>{{ p.fechaInicio }}</td>
                                <td><a href="{% url 'Proyecto:importarRolesProyectos' idProyecto p.id %}">Importar
                                    Roles</a>
                                </td>
                            </tr>
                        {% endif %}
                    {% endfor %}
                {% else %}

                {% endif %}
                </tbody>

            </table>
        </div>
    </div>
{% endblock %}